# Class SegmentAppendStartEvent

#### Hierarchy

- SegmentEvent
  - SegmentAppendStartEvent

#####
Index

### Constructors

constructor

### Properties

segmentInfo
type

## Constructors

### constructor

- new SegmentAppendStartEvent(segmentInfo): SegmentAppendStartEvent

- #### Parameters

  - segmentInfo: SegmentInfo

  #### Returns SegmentAppendStartEvent

  Inherited from SegmentEvent.constructor

## Properties

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentEvent.segmentInfo

### `Readonly` type

type: "segmentappendstart" = Events.SegmentAppendStart

Overrides SegmentEvent.type